<common-header></common-header>
<div class="new_login_form">
	<div class="container" ng-if="lc.stage==1">
        <div class="row">
            <div class="col-12 col-md-7 col-lg-8 order-2 order-md-1">
                <div class="bm-label-36 dark-grey-blue mt-5 pt-3 mb-4">
                    <p class="h1 dark-grey-blue mb-3">
                        <b>Doctor Portal</b>
                    </p>
                    <div class="border-bottom"></div>
                </div>
                <div class="d-flex flex-column notice_container">
                    <div class="ml-4">
						<p class="h4 dark-grey-blue mb-3"><b>Notice</b></p>
                    </div>
                    <div class="d-flex flex-row mt-4">
                        <div class="ml-4">
                            <h5>For all Gribbles eresults users, login with your Gribbles eresults credentials.</h5>
                        </div>
                    </div>
                    <div class="d-flex flex-row mt-4">
                        <div class="ml-4">
                            <h5>For Gribbles non eresults users, drop us an email or click the "Create an Account" button to request access to the platform.</h5>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-12 col-md-5 col-lg-4 order-1 order-md-2">
                <div class="login_wrapper">
                    <h4>Doctor Login</h4>
                    <br>
                    <form ng-submit="lc.login( lc.user )" name="loginForm" autocomplete="off">
                      <div class="form-group">
                          <label class="labelnormalmedium">Username</label>
                          <input type="text" class="form-control bio-custom-input" ng-model="::lc.user._username" required>
                      </div>
                      <div class="form-group">
                        <label class="labelnormalmedium">Password</label>
                        <div class="input-group with-icon">
                          <input ng-attr-type="{{lc.showPassword ? 'text': 'password'}}" class="form-control bio-custom-input" ng-model="::lc.user._password" required>
                          <div class="input-group-append">
                            <span class="input-group-text" style="background-color: rgba(0, 0, 0, 0);"><i class="pointer bluey-grey" ng-class="lc.showPassword ? 'fas fa-eye' : 'fas fa-eye-slash'" ng-click="lc.togglePassword()"></i></span>
                            </div>
                        </div>
                      </div>
                      <div class="form-group text-center">
                          <button class="btn btn-danger biomark-btn-primary" ng-disabled="loginForm.$invalid">Login</button>
                      </div>
                      <div class="form-group">
                          <a ui-sref="forgot" class="forgot_pass" ui-sref="forgot">Forgot your password?</a>
                      </div>
                      <div class="form-group">
                          <p style="font-size: 12px;">Need help? <br>Contact us at <a href="mailto:doctors-my@biomarking.com">doctors-my@biomarking.com</a></p>
                      </div>
                      <div class="bm-label-10 bluey-grey text-center pb-2">{{lc.version}}</div>
                      <div class="alert alert-danger"
                        style="margin:0"
                        role="alert"
                        ng-if="lc.pass_invalid"
                        ng-bind="lc.error_message"
                        ng-hide="lc.invalid_message">
                      </div>
                  </form>
                </div>
            </div>
        </div>
    </div>
    <div class="container" ng-if="lc.stage==2">
		<div class="col-md-12">
			<div class="login_wrapper">
				<h4>UPDATE YOUR PASSWORDs</h4>

				<form ng-submit="lc.update_password( lc.user )">
					<div class="form-group">
						<label class="labelnormalmedium">Email Address</label>
						<input type="email" class="form-control bio-custom-input" ng-model="lc.user.username" required disabled>
					</div>
					<div class="form-group">
						<label class="labelnormalmedium">New Password</label>
						<input type="password" class="form-control bio-custom-input" ng-model="lc.user.new_password" required>
					</div>
					<div class="form-group">
						<label class="labelnormalmedium">Verify Password</label>
						<input type="password" class="form-control bio-custom-input" ng-model="lc.user.verify_password" required>
					</div>
					<div class="form-group text-center">
						<button type="submit" class="btn btn-danger biomark-btn-primary">Update</button>
					</div>
				</form>
			</div>
		</div>
    </div>
    <div class="container" ng-if="lc.stage==3">
		<div class="col-md-12">
			<div class="login_wrapper">
				<h4>Enter 6-digit code</h4>
				<p class="forgot-description">
					Your email address is not confirmed.
					Please enter the 6-digit code we sent to your email.
				</p>
				<form>
					<div class="form-group">
						<label class="labelnormalmedium">Confirmation Code</label>
						<input
							type="text"
							class="form-control bio-custom-input"
							maxlength="6"
							placeholder="Enter 6-digit code"
							ng-model="lc.user.code">
					</div>

					<div class="form-group text-center">
						<div class="row">
							<div class="col-md-6">
								<a href="" class="back" ng-click="lc.resend_code()">Resend Code</a>
							</div>
							<div class="col-md-6 text-right">
								<div class="form-group">
									<button
										class="btn btn-danger biomark-btn-primary"
										ng-click="lc.confirm( lc.user )">Continue
									</button>
								</div>
							</div>
						</div>

					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<biomark-loader ng-if="lc.working"></biomark-loader>
<div class="biomark-popup" ng-if="lc.save_ok" ng-hide="lc.update_message">
	<p>Your confirmation code has been sent
		<span class="material-icons md-22" style="position: absolute; right:10px; top:15px; cursor: pointer;" ng-click="lc.close()">close</span>
	</p>
</div>